Subject: Bug#3719: checksecurity script shouldn't run find on remote-mounted fs's

From: "David M. Smith" <[email-masked]>
Date: Mon, 8 Jul 96 14:22 BST

Package: cron
Version: 3.0pl1-32

Every day, I receive the following mail message from `cron':

   find: /home/7g/maa701: Permission denied

/home is a remote NFS-mounted file system.  I've traced this output to
/etc/cron.daily/standard.  (Incidentally, it would be useful if when
cron mails error output it mentioned *which* script was generating
output!).  The offending line is this one:

	checksecurity >setuid.changes

I think that either here error output should be sent to /dev/null or
(a more difficult to implement option!) the `find' in the
checksecurity script should arrange never to search remote-mounted
directories.

Thanks,
# Dave Smith

-- 
David M. Smith, Department of Mathematics and Statistics, Lancaster University
<[email-masked]>  x3952  http://www.maths.lancs.ac.uk:2080/~maa036/